## polychromatic 0.3.12

=== Makefile ===
PREFIX = /usr
DESTDIR = /
PYTHONDIR = $(shell python3 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib()[4:])")
LESSC = lessc

all:
	@echo "---------------------------------------------------------"
	@echo "This makefile is used for creating packages."
	@echo "You should install from a package or by running ./install/install.sh"
	@echo ""
	@echo "You are on your own if you 'make install' here."
	@echo "---------------------------------------------------------"
	@echo "Setting the PREFIX and the DESTDIR is supported."
	@echo ""
	@echo "Defaults are:"
	@echo "   - PREFIX=$(PREFIX)"
	@echo "   - DESTDIR=$(DESTDIR)"
	@echo "   - PYTHONDIR=$(PREFIX)$(PYTHONDIR)"
	@echo ""
	@echo "Example: 'make DESTDIR=/tmp PREFIX=/usr install'"
	@echo ""

css:
	$(LESSC) source/data/controller.less data/pages/controller.css

install: css
	@install -dm755 $(DESTDIR)$(PREFIX)/share/polychromatic
	@install -dm755 $(DESTDIR)$(PREFIX)$(PYTHONDIR)/polychromatic
	@install -dm755 $(DESTDIR)$(PREFIX)/share/icons/hicolor
	@install -dm755 $(DESTDIR)$(PREFIX)/share/locale
	@install -Dm755 polychromatic-controller $(DESTDIR)$(PREFIX)/bin/polychromatic-controller
	@install -Dm755 polychromatic-tray-applet $(DESTDIR)$(PREFIX)/bin/polychromatic-tray-applet
	@install -Dm644 man/polychromatic-controller.1 $(DESTDIR)$(PREFIX)/share/man/man1/polychromatic-controller.1
	@install -Dm644 man/polychromatic-tray-applet.1 $(DESTDIR)$(PREFIX)/share/man/man1/polychromatic-tray-applet.1
	@cp -r data/* $(DESTDIR)$(PREFIX)/share/polychromatic/
	@cp -r pylib/* $(DESTDIR)$(PREFIX)$(PYTHONDIR)/polychromatic/
	@cp -r install/hicolor/* $(DESTDIR)$(PREFIX)/share/icons/hicolor/
	@cp -r locale/* $(DESTDIR)$(PREFIX)/share/locale/
	@rm $(DESTDIR)$(PREFIX)/share/locale/*.pot
	@rm $(DESTDIR)$(PREFIX)/share/locale/*/LC_MESSAGES/*.po
	@install -Dm644 install/polychromatic-controller.desktop $(DESTDIR)$(PREFIX)/share/applications/polychromatic-controller.desktop
	@install -Dm644 install/polychromatic-tray-applet.desktop $(DESTDIR)$(PREFIX)/share/applications/polychromatic-tray-applet.desktop
	@install -Dm644 install/polychromatic-tray-applet.desktop $(DESTDIR)/etc/xdg/autostart/polychromatic-tray-applet.desktop

.PHONY: all install

=== debian/changelog ===
polychromatic (0.3.12-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Convert to 3.0 (quilt) source format.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 29 Oct 2019 16:27:33 -0700

polychromatic (0.3.12-xenial1) xenial; urgency=low

  * The DPI/Poll Rate labels were hard to read.
  * Daemon screen in Preferences came up blank.
  * Address misaligned button text.
  * Add warning if the old PPA is detected.

 -- Luke Horwell <code@horwell.me>  Thu, 19 Apr 2018 22:47:04 +0100

polychromatic (0.3.11.2-xenial) xenial; urgency=low

  * Fix profile editor never being displayed.

 -- Luke Horwell <luke@ubuntu-mate.org>  Sat, 30 Sep 2017 20:14:52 +0100

polychromatic (0.3.11.1-xenial) xenial; urgency=low

  * Update dependencies for OpenRazer. Please use ppa:openrazer/stable instead.
  * Update error screens when initialization errors occur.
  * Prevent a segfault with newer WebKit versions.
  * Internal changes to how styling is compiled.

 -- Luke Horwell <luke@ubuntu-mate.org>  Wed, 06 Sep 2017 21:00:00 +0100

polychromatic (0.3.10-xenial) xenial; urgency=low

  * Catch more exceptions.
  * Clean up how booleans are stored interally.
  * Internal code refactoring, namely the preferences page.
  * No longer depends on WebKit >=2.12
  * Prevent exception when devicestate file didn't exist.
  * Properly add support for starlight effect.

 -- Luke Horwell <luke@ubuntu-mate.org>  Thu, 10 Aug 2017 21:24:39 +0100

polychromatic (0.3.9.3-xenial) xenial; urgency=low

  * Daemon configuration paths updated.
  * Beginnings of some code refactoring.

 -- Luke Horwell <luke@ubuntu-mate.org>  Sat, 01 Jul 2017 23:29:21 +0100

polychromatic (0.3.9.2-xenial) xenial; urgency=low

  * Daemon has renamed razer-service to razer-daemon.

 -- Luke Horwell <luke@ubuntu-mate.org>  Sun, 11 Jun 2017 17:40:05 +0100

polychromatic (0.3.9.1-xenial) xenial; urgency=low

  * Re-licensed as GPL3.
  * Add German translation.
  * Fix profile matrix rows/cols for non-BW devices.
  * Various fixes to prevent exceptions.

 -- Luke Horwell <luke@ubuntu-mate.org>  Mon, 29 May 2017 16:38:59 +0100

polychromatic (0.3.9-xenial) xenial; urgency=low

  * Fix wrong colour for green shade variants.
  * Fix corrupt screen when choosing an application.
  * Improved logic when devices cannot be found.
  * Add support for mice with "backlight" functions.
  * Add support for polling rate.
  * Limit DPI according to mouse.
  * Ensure 'sync_effects_enabled' is disabled in daemon.
  * Hide "effects" menu in tray if device doesn't support them.
  * Sync device state changes between tray/controller.

 -- Luke Horwell <luke@ubuntu-mate.org>  Wed, 03 May 2017 18:36:48 +0100

polychromatic (0.3.8-xenial) xenial; urgency=low

  * Internal code clean-ups.
  * Prevent an exception when creating a new profile.
  * Only show relevant daemon service options.
  * Only show macros, game mode or profiles if supported by device.
  * Overhaul tray applet, with improved device support.
  * Add support for scroll brightness toggles.
  * UI tweaks and improvements.
  * Show green grades for Ultimate keyboards.
  * Fix Overview tab not being selected properly.
  * Update translation templates and eb_GB locales.

 -- Luke Horwell <luke@ubuntu-mate.org>  Tue, 04 Apr 2017 23:18:22 +0100

polychromatic (0.3.7.1-xenial) xenial; urgency=low

  * Fix regression when editing profiles.
  * Fix regression with wave effect in header.
  * Stop "syncing" mouse DPI with hardware.
  * Add starlight FX for future daemon support.
  * Add Naga Hex V2 ring in UI.
  * Update application icons.
  * Tweak message when restarting daemon.

 -- Luke Horwell <luke@ubuntu-mate.org>  Thu, 16 Mar 2017 22:07:28 +0100

polychromatic (0.3.7-1-xenial) xenial; urgency=low

  * Repackaged for Launchpad.

 -- Luke Horwell <luke@ubuntu-mate.org>  Thu, 09 Mar 2017 22:12:49 +0100

polychromatic (0.3.7-xenial) xenial; urgency=low

  * Add support for logo and scroll wheel.
  * Add options for mouse DPI.
  * Add ability to create/modify your own colours.
  * Add "Breeze" tray icons for KDE desktops.
  * New features on Overview Screen -- show firmware version and colour in use.
  * Improvements to error, loading and restarting daemon screens.
  * Use daemon for determining device images.
  * Speed up the refresh rate when setting the ripple effect.
  * Prevent missing images for device icons and header background.
  * Update categories for desktop launcher.
  * Add man pages.
  * Internal fix when saving files in ~/.config/polychromatic
  * Show warnings when daemon versions differ.
  * Reshuffled data files and code clean ups.

 -- Luke Horwell <luke@ubuntu-mate.org>  Tue, 07 Mar 2017 21:41:13 +0100

polychromatic (0.3.6.1-xenial) xenial; urgency=low

  * Revert WebKit2 workaround as regression is fixed in WebKitGTK 2.14.3.

 -- Luke Horwell <luke@ubuntu-mate.org>  Tue, 17 Jan 2017 21:15:42 +0100

polychromatic (0.3.6-xenial) xenial; urgency=low

  * Add button to gracefully stop the daemon.
  * Add images for headsets and keypads.
  * Show device images on Overview screen.
  * When device features cannot be set, show an error in the footer.
  * Colourise terminal colours.
  * Show tooltip when hovering over device tabs.
  * Show more friendly errors when things go wrong.
  * File metadata fixes.
  * Re-sync BlackWidow Chroma demo.
  * Update en_GB locale.
  * Stabilize the behaviour of processing signals with WebKit2.

 -- Luke Horwell <luke@ubuntu-mate.org>  Sat, 14 Jan 2017 17:20:58 +0100

polychromatic (0.3.5-xenial) xenial; urgency=low

  * Prevent crash when device serial returned null.
  * Correct logic for showing "No Devices Found" screen.
  * Update verbose messages when running with "-v" flag.
  * Fix wrong reactive colours being set.
  * Add device overview screen.
  * Drop obsolete "Enable Macro Keys" button.

 -- Luke Horwell <luke@ubuntu-mate.org>  Wed, 13 Dec 2016 20:53:04 +0100

polychromatic (0.3.4-xenial) xenial; urgency=low

  * Detect when a Razer product is connected.


=== debian/control ===
Source: polychromatic
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Luke Horwell <code@horwell.me>
Build-Depends: debhelper (>= 9),
               python3,
               python3-polib,
               node-less
Homepage: https://github.com/polychromatic/polychromatic

Package: polychromatic
Architecture: all
Depends: python3 (>= 3.4.0),
         python3-gi,
         python3-setproctitle,
         python3-requests,
         python3-openrazer (>= 2.0.0),
         gir1.2-gtk-3.0,
         gir1.2-webkit2-4.0,
         gir1.2-appindicator3-0.1,
         imagemagick,
         openrazer-daemon (>= 2.0.0)
Description: Graphical front-end for managing Razer peripherals.
 An application that allows multiple Razer devices to be configured
 on the system through an easy-to-use interface.
 Powered by the OpenRazer daemon.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_prep:
	lessc source/data/controller.less data/pages/controller.css
